Skip to main content
GET
/
v1
/
vendors
/
{vendorId}
Get vendor
curl --request GET \
  --url https://api.light.inc/v1/vendors/{vendorId} \
  --header 'Authorization: <api-key>'
{
  "vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyEntityIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "defaultCompanyEntity": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyEntityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "taxCodeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "costCenterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "senderBankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  },
  "vatId": "<string>",
  "businessRegistrationNumber": "<string>",
  "identifier": "<string>",
  "name": "<string>",
  "description": "<string>",
  "avatarUrl": "<string>",
  "email": "<string>",
  "phoneNumber": {
    "localNumber": "<string>"
  },
  "website": "<string>",
  "city": "<string>",
  "address": "<string>",
  "zipcode": "<string>",
  "bankName": "<string>",
  "bankCity": "<string>",
  "bankAddress": "<string>",
  "bankZipcode": "<string>",
  "bankAccountNumber": "<string>",
  "bankAccountBic": "<string>",
  "domesticBankAccountNumber": "<string>",
  "domesticBankAccountCode": "<string>",
  "swedishBankgiroNumber": "<string>",
  "swedishPlusgiroNumber": "<string>",
  "bankRecipientName": "<string>",
  "vendorCreatedAt": "2023-11-07T05:31:56Z",
  "approvers": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "priority": 123,
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "notes": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "vendorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "authorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "content": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "currency": "USD",
  "contractValue": 123,
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "failureContext": {
    "name": "<string>",
    "errors": [
      {
        "type": "<string>",
        "message": "<string>",
        "path": [
          "<string>"
        ],
        "context": {}
      }
    ]
  },
  "version": 123,
  "updatedAt": "2023-11-07T05:31:56Z",
  "customProperties": [
    {
      "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "groupInternalName": "<string>",
      "values": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "groupInternalName": "<string>",
          "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "internalName": "<string>",
          "label": "<string>",
          "context": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "updatedAt": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "lastMtdSpendInGroupCurrency": 123,
  "groupCurrency": "USD"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

vendorId
string<uuid>
required

Response

default - application/json;charset=UTF-8

default response

type
enum<string>

Type of the vendor.

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
EXTERNAL,
USER
vendorId
string<uuid>

External ID of the vendor.

companyId
string<uuid>

ID of the company this vendor belongs to.

companyEntityIds
string<uuid>[]

IDs of the company entities this vendor is associated with.

IDs of the company entities this vendor is associated with.

defaultCompanyEntity
object | null

Default company entity configuration for this vendor, if any.

vatId
string | null

Vendor VAT ID.

businessRegistrationNumber
string | null

Vendor business registration number.

identifier
string | null

Vendor identifier (external/system identifier).

name
string

Vendor name.

description
string | null

Vendor description or memo.

avatarUrl
string | null

Vendor avatar/logo URL.

email
string | null

Vendor email address.

phoneNumber
object | null

Vendor phone number.

website
string | null

Vendor website.

country
enum<string> | null

Vendor country.

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
UNDEFINED,
AC,
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AN,
AO,
AQ,
AR,
AS,
AT,
AU,
AW,
AX,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BQ,
BR,
BS,
BT,
BU,
BV,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CP,
CR,
CS,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DG,
DJ,
DK,
DM,
DO,
DZ,
EA,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
EU,
EZ,
FI,
FJ,
FK,
FM,
FO,
FR,
FX,
GA,
GB,
GD,
GE,
GF,
GG,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HM,
HN,
HR,
HT,
HU,
IC,
ID,
IE,
IL,
IM,
IN,
IO,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NT,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SF,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SU,
SV,
SX,
SY,
SZ,
TA,
TC,
TD,
TF,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TP,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UK,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
XI,
XU,
XK,
YE,
YT,
YU,
ZA,
ZM,
ZR,
ZW
city
string | null

Vendor city.

address
string | null

Vendor street address.

zipcode
string | null

Vendor ZIP/postal code.

bankName
string | null

Vendor bank name.

bankCountry
enum<string> | null

Vendor bank country.

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
UNDEFINED,
AC,
AD,
AE,
AF,
AG,
AI,
AL,
AM,
AN,
AO,
AQ,
AR,
AS,
AT,
AU,
AW,
AX,
AZ,
BA,
BB,
BD,
BE,
BF,
BG,
BH,
BI,
BJ,
BL,
BM,
BN,
BO,
BQ,
BR,
BS,
BT,
BU,
BV,
BW,
BY,
BZ,
CA,
CC,
CD,
CF,
CG,
CH,
CI,
CK,
CL,
CM,
CN,
CO,
CP,
CR,
CS,
CU,
CV,
CW,
CX,
CY,
CZ,
DE,
DG,
DJ,
DK,
DM,
DO,
DZ,
EA,
EC,
EE,
EG,
EH,
ER,
ES,
ET,
EU,
EZ,
FI,
FJ,
FK,
FM,
FO,
FR,
FX,
GA,
GB,
GD,
GE,
GF,
GG,
GH,
GI,
GL,
GM,
GN,
GP,
GQ,
GR,
GS,
GT,
GU,
GW,
GY,
HK,
HM,
HN,
HR,
HT,
HU,
IC,
ID,
IE,
IL,
IM,
IN,
IO,
IQ,
IR,
IS,
IT,
JE,
JM,
JO,
JP,
KE,
KG,
KH,
KI,
KM,
KN,
KP,
KR,
KW,
KY,
KZ,
LA,
LB,
LC,
LI,
LK,
LR,
LS,
LT,
LU,
LV,
LY,
MA,
MC,
MD,
ME,
MF,
MG,
MH,
MK,
ML,
MM,
MN,
MO,
MP,
MQ,
MR,
MS,
MT,
MU,
MV,
MW,
MX,
MY,
MZ,
NA,
NC,
NE,
NF,
NG,
NI,
NL,
NO,
NP,
NR,
NT,
NU,
NZ,
OM,
PA,
PE,
PF,
PG,
PH,
PK,
PL,
PM,
PN,
PR,
PS,
PT,
PW,
PY,
QA,
RE,
RO,
RS,
RU,
RW,
SA,
SB,
SC,
SD,
SE,
SF,
SG,
SH,
SI,
SJ,
SK,
SL,
SM,
SN,
SO,
SR,
SS,
ST,
SU,
SV,
SX,
SY,
SZ,
TA,
TC,
TD,
TF,
TG,
TH,
TJ,
TK,
TL,
TM,
TN,
TO,
TP,
TR,
TT,
TV,
TW,
TZ,
UA,
UG,
UK,
UM,
US,
UY,
UZ,
VA,
VC,
VE,
VG,
VI,
VN,
VU,
WF,
WS,
XI,
XU,
XK,
YE,
YT,
YU,
ZA,
ZM,
ZR,
ZW
bankCity
string | null

Vendor bank city.

bankAddress
string | null

Vendor bank address.

bankZipcode
string | null

Vendor bank ZIP/postal code.

bankAccountNumber
string | null

Vendor bank account number (IBAN or local format).

bankAccountBic
string | null

Vendor bank BIC/SWIFT code.

domesticBankAccountNumber
string | null

Vendor domestic bank account number (country-specific format).

domesticBankAccountCode
string | null

Vendor domestic bank account code (e.g. routing/sort code).

swedishBankgiroNumber
string | null

Vendor Swedish Bankgiro number, if applicable.

swedishPlusgiroNumber
string | null

Vendor Swedish Plusgiro number, if applicable.

bankRecipientName
string | null

Name of the bank account holder. When set, this overrides the vendor name on the payment recipient for providers that consult it (currently Airwallex).

vendorCreatedAt
string<date-time>

Timestamp when the vendor was created.

approvers
object[]

List of vendor approvers.

notes
object[]

List of vendor notes.

currency
string
Example:

"USD"

contractValue
integer<int64> | null

Vendor contract value in cents.

createdBy
string<uuid> | null

ID of the user who created the vendor.

status
enum<string>

Vendor onboarding/status.

⚠️ This enum is not exhaustive; new values may be added in the future.

Available options:
ONBOARDING,
IN_REVIEW,
ACTIVE,
FAILED
failureContext
object | null

Failure context when vendor onboarding fails.

version
integer<int32>

Vendor record version.

updatedAt
string<date-time>

Timestamp when the vendor was last updated.

customProperties
(object | null)[] | null

Custom properties set on the vendor.

Custom properties set on the vendor.

lastMtdSpendInGroupCurrency
integer<int64> | null

Last month-to-date spend in group currency.

groupCurrency
string
Example:

"USD"